Bug 82451 - Web Inspector: use maxJSObjectId provided by back-end.
Summary: Web Inspector: use maxJSObjectId provided by back-end.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on: 83008
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 04:59 PDT by Ilya Tikhonovsky
Modified: 2012-04-10 04:34 PDT (History)
18 users (show)

See Also:


Attachments
Patch (7.76 KB, patch)
2012-04-03 01:06 PDT, Ilya Tikhonovsky
yurys: review+
webkit-ews: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2012-03-28 04:59:26 PDT
Summary view can filter objects in snapshot. It uses maxJSObjectId for this.
There is no such field in the profile header at the
moment but I've landed a patch in downstream.
Comment 1 Ilya Tikhonovsky 2012-04-03 01:06:13 PDT
Created attachment 135288 [details]
Patch
Comment 2 Early Warning System Bot 2012-04-03 01:12:17 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12312955
Comment 3 Gyuyoung Kim 2012-04-03 01:12:49 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12322009
Comment 4 Yury Semikhatsky 2012-04-03 01:13:37 PDT
Comment on attachment 135288 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135288&action=review

> Source/WebCore/inspector/front-end/DetailedHeapshotView.js:279
> +        if (this._filterProfileIndex !== -1) {

Could you use profileIndex here as well(just for clarity)?
Comment 5 Early Warning System Bot 2012-04-03 01:15:37 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12322010
Comment 6 Philippe Normand 2012-04-03 01:18:27 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12320023
Comment 7 WebKit Review Bot 2012-04-03 01:27:36 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12321013
Comment 8 Build Bot 2012-04-03 01:28:34 PDT
Comment on attachment 135288 [details]
Patch

Attachment 135288 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12321014
Comment 9 Ilya Tikhonovsky 2012-04-03 01:28:53 PDT
Committed r112994: <http://trac.webkit.org/changeset/112994>
Comment 10 Ilya Tikhonovsky 2012-04-10 04:34:25 PDT
Committed r113708: <http://trac.webkit.org/changeset/113708>